Get all the supported chains and assets.
curl --request GET \
--url https://{environment}.garden.finance/v2/chains \
--header 'garden-app-id: <api-key>'import requests
url = "https://{environment}.garden.finance/v2/chains"
headers = {"garden-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'garden-app-id': '<api-key>'}};
fetch('https://{environment}.garden.finance/v2/chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"result": [
{
"name": "Arbitrum",
"native_asset_id": "arbitrum:eth",
"icon": "<string>",
"explorer_url": "<string>",
"confirmation_target": 123,
"source_timelock": "<string>",
"destination_timelock": "<string>",
"supported_htlc_schemas": [],
"supported_token_schemas": [],
"assets": [
{
"icon": "<string>",
"htlc": {
"address": "<string>"
},
"token": {
"address": "<string>"
},
"decimals": 8,
"min_amount": "<string>",
"max_amount": "<string>",
"price": 1
}
]
}
]
}Assets & Routes
Supported Chains
GET
/
chains
Get all the supported chains and assets.
Retrieve a list of all supported blockchain networks.
Authorizations
Query Parameters
(Optional) Asset filter. Mainnet
Available options:
arbitrum:wbtc, ethereum:wbtc, arbitrum:ibtc, base:cbbtc, bitcoin:btc, bnbchain:btcb, botanix:btc, citrea:cbtc, ethereum:cbbtc, ethereum:usdt, hyperevm:ubtc, litecoin:ltc, monad:mon, monad:usdc, solana:cbbtc, solana:sol, solana:usdc, starknet:wbtc, tron:usdt Was this page helpful?
⌘I